Source-Changes archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

CVS commit: src/external/gpl3/gdb/dist/bfd

Module Name:    src
Committed By:   apb
Date:           Tue Oct 15 07:14:59 UTC 2013

Modified Files:
        src/external/gpl3/gdb/dist/bfd: configure

Log Message:
If the shell does not support the $LINENO variable, then use
"bfd_configure.lineno" instead of "configure.lineno" as the name of the
a version of the script that has had all uses of $LINENO converted to
literal line numbers.

Now building tools via "MKCROSSGDB=yes tools" works again, even
if the shell does not support $LINENO.

The previous problem was caused by an interaction
between the way .../gdb/dist/opcodes/configure executes
"${srcdir}/../bfd/configure --version", and the way both configure
scripts tried to create and then execute configure.lineno scripts.
Both configure.lineno scripts were created in the same OBJDIR,
with the configure.lineno from .../bfd/configure overwriting the
configure.lineno from .../opcodes/configure, while the latter was
still running.

To generate a diff of this commit:
cvs rdiff -u -r1.1.1.2 -r1.2 src/external/gpl3/gdb/dist/bfd/configure

Please note that diffs are not public domain; they are subject to the
copyright notices on the relevant files.

Home | Main Index | Thread Index | Old Index